Pular para o conteúdo principal
POST
/
api
/
v1
/
brcode
/
loc
Criar location de payload
curl --request POST \
  --url https://spi.sandbox.lerian.net/api/v1/brcode/loc \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/brcode/loc"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://spi.sandbox.lerian.net/api/v1/brcode/loc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "criacao": "<string>",
  "id": 123,
  "location": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

JWT bearer token issued by the identity provider.

Cabeçalhos

Idempotency-Key
string

Idempotency key, max 255 characters.

Corpo

application/json
tipoCob
enum<string>
obrigatório

Tipo de cobrança que a location endereça.

Opções disponíveis:
cob,
cobv
Exemplo:

"cob"

Resposta

Created

criacao
string
obrigatório

Data de criação da location (RFC 3339).

id
integer<int64>
obrigatório

Id da location (gerado pelo servidor).

location
string
obrigatório

Localização do payload (URI).

Maximum string length: 77
tipoCob
enum<string>
obrigatório

cob | cobv.

Opções disponíveis:
cob,
cobv